/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.dao;

import cz.muni.fi.cepportal.database.exceptions.NonexistentEntityException;
import cz.muni.fi.cepportal.database.exceptions.PreexistingEntityException;
import cz.muni.fi.cepportal.database.entities.EventStream;
import java.util.List;

/**
 * EventStream DAO interface
 * 
 * @author Štefan Repček
 */
public interface EventStreamDAO {
    
    public void createEventStream(EventStream eventStream) throws PreexistingEntityException;
    
    public void updateEventStream(EventStream eventStream)throws PreexistingEntityException;
    
    public void deleteEventStream(EventStream eventStream) throws NonexistentEntityException;
    
    public EventStream getEventStreamByID(Long id);
    
    public EventStream findEventStreamByName(String name);
    
    public List<EventStream> findAllEventStreams();
    
}
