/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.services;

import cz.muni.fi.cepportal.database.dto.CEPOutputDTO;
import cz.muni.fi.cepportal.database.exceptions.NonexistentEntityException;
import cz.muni.fi.cepportal.database.exceptions.PreexistingEntityException;
import java.util.List;

/**
 * 
 * @author steve
 */
public interface CEPOutputService {
    
    public void createCEPOutput(CEPOutputDTO cepOutput);
    
    public void updateCEPOutput(CEPOutputDTO cepOutput);
    
    public void deleteCEPOutput(CEPOutputDTO cepOutput) throws NonexistentEntityException;
    
    public CEPOutputDTO getCEPOutputByID(Long id);
    
    public CEPOutputDTO findCEPOutputByName(String name);
    
    public List<CEPOutputDTO> findAllCEPOutputs();
    
}
