/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.dao;

import cz.muni.fi.cepportal.database.entities.EventType;
import cz.muni.fi.cepportal.database.exceptions.NonexistentEntityException;
import cz.muni.fi.cepportal.database.exceptions.PreexistingEntityException;
import java.util.List;

/**
 * EventType DAO interface
 * 
 * @author Štefan Repček
 */
public interface EventTypeDAO {
    public void createEventType(EventType eventType) throws PreexistingEntityException;
    
    public void updateEventType(EventType eventType) throws PreexistingEntityException;
    
    public void deleteEventType(EventType eventType) throws NonexistentEntityException;
    
    public EventType getEventTypeByID(Long id);
    
    public EventType findEventTypeByName(String name);
    
    public List<EventType> findAllEventTypes();
    
}
