/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.dto.convert;

import cz.muni.fi.cepportal.database.dto.CEPOutputDTO;
import cz.muni.fi.cepportal.database.entities.CEPOutput;

/**
 *
 * @author Štefan Repček
 */
public class CEPOutputConverter {
    
    
    public static CEPOutputDTO entityToDTO(CEPOutput entity)
    {
        if(entity== null)
        {
            throw new IllegalArgumentException("entity is null");
        }
        
        CEPOutputDTO dto = new CEPOutputDTO();
        dto.setId(entity.getId());
        dto.setName(entity.getName());
        dto.setCepOutput(entity.getCepOutput());
        
        
        return dto;
    }
    
    
    public  static CEPOutput dtoToEntity(CEPOutputDTO dto)
    {
        if(dto== null)
        {
            throw new IllegalArgumentException("dto is null");
        }
        
        CEPOutput entity = new CEPOutput();
        entity.setId(dto.getId());
        entity.setName(dto.getName());
        entity.setCepOutput(dto.getCepOutput());
      
        
        return entity;
    }
    
    
}
