/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.services;

import cz.muni.fi.cepportal.database.dto.EPLStatementDTO;
import cz.muni.fi.cepportal.database.exceptions.NonexistentEntityException;
import cz.muni.fi.cepportal.database.exceptions.PreexistingEntityException;
import java.util.List;

/**
 *
 * @author steve
 */
public interface EPLStatementService {
    
    public void createEPLStatement(EPLStatementDTO eplStatement) throws PreexistingEntityException;
    
    public void updateEPLStatement(EPLStatementDTO eplStatement) throws PreexistingEntityException;
    
    public void deleteEPLStatement(EPLStatementDTO eplStatement) throws NonexistentEntityException;
    
    public EPLStatementDTO getEPLStatementbyID(Long id);
    
    public EPLStatementDTO findEPLStatementByName(String name);
    
    public List<EPLStatementDTO> findAllEPLStatements();
    
}
